import { PageBean } from '@business/entity/grid';
import { ExampleService } from '@business/services/util/example.service';
import { _HttpClient } from '@delon/theme';
import { environment } from 'environments/environment';
import { RouteConfigLoadStart } from '@angular/router';
import { Injectable } from '@angular/core';
import { equal } from 'assert';
import { Observable } from 'rxjs/Observable';

@Injectable()
export class MonitorPointService {

  private urls = {
    edit: environment.SERVER_BASH_URL + '/monitor-point/page-list',
    save: environment.SERVER_BASH_URL + '/monitor-point/add-or-modify',
    delete: environment.SERVER_BASH_URL + '/monitor-point/delete-by-ids'
};
constructor(private http: _HttpClient) { }
 public getPagingList(page: PageBean, queryText: string): Observable<PageBean> {
  const example = new ExampleService();
  if (queryText != null && queryText !== '') {
    example.or().andLike({name: 'name', value: '%' + queryText + '%'});
  }
  const param: PageBean = {pageSize: page.pageSize, pageIndex: page.pageIndex, 
      queryParams: example.getSqlParam(), orderByClause: page.getOrderByClause()};
      return this.http.get(this.urls.edit, param);
}
public save(data: any): Observable<any> {
      return this.http.post(this.urls.save, data);
}
public delete(...ids: number[]): Observable<any> {             
      return this.http.post(this.urls.delete, ids);
}

}
